package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import com.dxhy.extend.entity.*;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author dxhy
 */
@Mapper
public interface ExtInvoicePoolDao extends BaseMapper<ExtAddTaxInvoice> {

    /**
     * 税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtAddTaxInvoice> selectAddTaxHj(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtAddTaxInvoice> listAddTaxInvoice(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtOtherInvoice> selectOtherHj(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtOtherInvoice> listOtherInvoice(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtAddTaxInvoice> selectSaleHj(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtAddTaxInvoice> listSaleInvoice(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<AmortizeRecordEntity> listAmortizeRecord(Map<String, Object> pramsMap);

    List<String> listIncentiveFlag();

    List<PullRecordModel> getPullRecord(PullRecordReq pullRecordReq);
}
